// =================================================================================
//	CMemoryIndicator.h							1997 BB's Team inc. All rights reserved
// =================================================================================

#pragma once

#include "CGreyCaption.h"
#include <LPeriodical.h>


class CMemoryIndicator :	public CGreyCaption,
									public LPeriodical	{
public:
	enum { class_ID = 'MemF' };

	/* ctor */						CMemoryIndicator (LStream*);
	static CMemoryIndicator*	CreateMemoryIndicatorStream (LStream *);
	        void					SpendTime (void);

protected:
	virtual void					SpendTime (const EventRecord &);
	virtual void					FinishCreateSelf (void);

private:
		Int32							mFree;
		LStr255						mIntro;
};
