// =================================================================================
//	CPict2AsciiApp.h						1997 BB's Team inc. All rights reserved
// =================================================================================

#pragma once

#include <LDocApplication.h>

class CPict2AsciiApp : public LDocApplication {
public:
							CPict2AsciiApp();
	virtual 				~CPict2AsciiApp();

	virtual void			FindCommandStatus( CommandT inCommand,
								Boolean &outEnabled, Boolean &outUsesMark,
								Char16 &outMark, Str255 outName );

	virtual void			HandleAppleEvent(
									const AppleEvent	&inAppleEvent,
									AppleEvent			&outAEReply,
									AEDesc				&outResult,
									Int32				inAENumber);	// MJS 97-05-29

	virtual void			GetAEProperty(
								DescType		inProperty,
								const AEDesc	&inRequestedType,
								AEDesc			&outPropertyDesc) const;	// MJS 97-05-29
	virtual void			SetAEProperty(
								DescType		inProperty,
								const AEDesc	&inValue,
								AEDesc			&outAEReply);	// MJS 97-05-29

protected:
	virtual void			StartUp();
	virtual void			OpenDocument( FSSpec *inMacFSSpec);
	virtual void			ChooseDocument();
	Boolean					ObeyCommand (
								CommandT	inCommand,
								void		*ioParam);

	void					DoConvertPict2Ascii(
								const AppleEvent	&inAppleEvent,
								AppleEvent&			outAEReply);	// MJS 97-05-29
								
	CPreferences			mPreferences;
};
