// =================================================================================
//	ImageLight.h									1997 BB's Team inc. All rights reserved
// =================================================================================

#pragma once

#include "PLConstants.h"
#include "GreyGWorld.h"
#include <UTextTraits.h>

class ImageLight {

	public:
								ImageLight (void);
		virtual 				~ImageLight();

		void					SetTextTraits (TextTraitsRecord &);
		void					SetGreyWorld (GreyGWorld*);

		void					Update (void);
		Int32					GetTextSize (void);
		Boolean				IsUpToDate (void);
		void					MakeRoom (Boolean force = false);

		Int32					GetWidth   (void) 	{ return mWidth  ;	}
		Int32					GetWidthN  (void) 	{ return mWidthN ;	}
		Int32					GetHeightN (void)		{ return mHeightN;	}
		Handle				GetLight (void)		{ return mLight;		}
		float					operator[] (int n)	{ return light(n);	}
		Int32					GetPictWidth (void)	{ return mPictWidth;	}
		void					GetMinMax (float &min, float &max);
		
	protected:
		void					SetLineCol (void);
		float&				light (int);
		Int32					mPictWidth, mPictHeight;
		Boolean				mUpToDate;
		Handle				mLight;
		GreyGWorld			*mGrey;
		Int32					mWidth , mHeight;
		Int32					mWidthN, mHeightN;
};
