// =================================================================================
//	PLConstants.h		 					1997 BB's Team inc. All rights reserved
// =================================================================================
#pragma once


// misc
const Int32		kPICTHeaderSize			= 512;
const Int16		kFirstChar				= 32;
const OSType	kSignature				= 'PiAs';

const Str255	kPrefsFileName			="\pPict2Ascii prefs";
const OSType	kPrefsFileType			= 'pref';
const OSType	kPrefsRsrcType			= 'pref';
const ResIDT	kPrefsRsrcID			= 128;


// rsrc alerts
const ResIDT	ALRT_ConfirmPrinting	= 129;
const ResIDT	ALRT_TellOverflow		= 130;
	const Int16		kButtonOk				= 1;
	const Int16		kButtonCancel			= 2;


// PPob main window
const ResIDT	rPPob_MainWindow		= 1000;
const ResIDT	rRidL_MainWindow		= rPPob_MainWindow;
	const PaneIDT	kDynamicText			= 2;
	const PaneIDT	kFontPopup				= 3;
	const PaneIDT	kSizePopup				= 4;
	const PaneIDT	kGreyCaption			= 5;
	const PaneIDT	kShowPane				= 6;
	const PaneIDT	kLinesCaption			= 7;
	const PaneIDT	kColumnsCaption			= 8;
	const PaneIDT	kRatioEditField			= 9;
	const PaneIDT	kScreenButton			= 10;
	const PaneIDT	kPrinterButton			= 11;
	const PaneIDT	k7bitsButton			= 12;
	const PaneIDT	k8bitsButton			= 13;
	const PaneIDT	kPagesCaption			= 14;
	const PaneIDT	kContrastCheck			= 15;
	const PaneIDT	kMemoryIndicator		= 16;

	const MessageT	msg_FontPopup			= rPPob_MainWindow + kFontPopup;
	const MessageT	msg_SizePopup			= rPPob_MainWindow + kSizePopup;
	const MessageT	msg_ScreenButton		= rPPob_MainWindow + kScreenButton;
	const MessageT	msg_PrinterButton		= rPPob_MainWindow + kPrinterButton;
	const MessageT	msg_7bitsButton			= rPPob_MainWindow + k7bitsButton;
	const MessageT	msg_8bitsButton			= rPPob_MainWindow + k8bitsButton;
	const MessageT	msg_ContrastCheck		= rPPob_MainWindow + kContrastCheck;


// PPob printout
const ResIDT	rPPob_Printout			= 1001;
	const PaneIDT	kPlaceHolder			= 1;


// PPob Preferences dialog
const ResIDT	rPPob_PrefsDialog		= 2000;
	const PaneIDT	kOkButton			= 1;
	const PaneIDT	kCancelButton		= 2;
	const PaneIDT	kConfirmCheck		= 3;
	const PaneIDT	kMonoTestCheck		= 4;
	const PaneIDT	kCharsEditField		= 5;
	const PaneIDT	kBeep32k			= 6;
	const PaneIDT	kResetButton		= 7;

	const MessageT	msg_OkButton		= rPPob_PrefsDialog + kOkButton;
	const MessageT	msg_CancelButton	= rPPob_PrefsDialog + kCancelButton;
	const MessageT	msg_Reset			= rPPob_PrefsDialog + kResetButton;


// PPob menus
const CommandT		cmd_Preferences		= 1001;


// rsrc STR#
const ResIDT	rSTR					= 500;
	const Int16		kCheckingMonoSpace		= 1;
	const Int16		kReadingPictFile		= 2;
	const Int16		kComputingFontLight		= 3;
	const Int16		kComputingImageLight	= 4;
	const Int16		kMemoryFull				= 5;
	const Int16		kLines					= 6;
	const Int16		kColumns				= 7;
	const Int16		kThinking				= 8;
	const Int16		kNoMemForPict			= 9;
	const Int16		kNoMemForPictLight		= 10;
	const Int16		kNoMemForText			= 11;
	const Int16		kComputingText			= 12;
	const Int16		kNoMemForFont			= 13;
	const Int16		kPages					= 14;
	const Int16		kMb						= 15;
	const Int16		kKb						= 16;
	const Int16		kBytes					= 17;
