// =================================================================================
//	CGreyCaption.h 							1997 BB's Team Inc. All rights reserved
// =================================================================================

#pragma once

#include <LCaption.h>

class CGreyCaption : public LCaption {
public:
	// Step 3 declare class_ID enum
	enum { class_ID = 'GcaP' };

	static CGreyCaption*	CreateGreyCaptionStream( LStream *inStream );

						CGreyCaption();

						CGreyCaption( const CGreyCaption &inOriginal );

						CGreyCaption(
								const SPaneInfo	&inPaneInfo,
								ConstStringPtr	inString,
								ResIDT			inTextTraitsID);

						CGreyCaption( LStream *inStream );

	virtual				~CGreyCaption();

protected:
	virtual void		Refresh();
	virtual void		DrawSelf();
};
